Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBaseFrame

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseElement
          net.sf.jasperreports.engine.base.JRBaseFrame

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRBox, JRBoxContainer, JRChild, JRCloneable, JRCommonElement, JRElement, JRElementGroup, JRFrame, JRPropertiesHolder, JRStyleContainer, JRVisitable

    public class JRBaseFrame

extends JRBaseElement
implements JRFrame

Base read-only implementation of `JRFrame`.

Version:
  $Id: JRBaseFrame.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected java.util.List` | `children`
`protected JRLineBox` | `lineBox`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElement
`backcolor, defaultStyleProvider, elementGroup, forecolor, height, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, key, modeValue, parentStyle, parentStyleNameReference, positionTypeValue, printWhenExpression, printWhenGroupChanges, PROPERTY_POSITION_TYPE, PROPERTY_PRINT_IN_FIRST_WHOLE_BAND, PROPERTY_PRINT_REPEATED_VALUES, PROPERTY_PRINT_WHEN_DETAIL_OVERFLOWS, PROPERTY_REMOVE_LINE_WHEN_BLANK, PROPERTY_STRETCH_TYPE, PROPERTY_WIDTH, PROPERTY_X, stretchTypeValue, width, x, y`

Fields inherited from interface net.sf.jasperreports.engine.JRElement
`MODE_OPAQUE, MODE_TRANSPARENT, POSITION_TYPE_FIX_RELATIVE_TO_BOTTOM, POSITION_TYPE_FIX_RELATIVE_TO_TOP, POSITION_TYPE_FLOAT, STRETCH_TYPE_NO_STRETCH, STRETCH_TYPE_RELATIVE_TO_BAND_HEIGHT, STRETCH_TYPE_RELATIVE_TO_TALLEST_OBJECT`

Constructor Summary
`JRBaseFrame(JRFrame frame, JRBaseObjectFactory factory)`

Method Summary
`java.lang.Object` | `clone()`
`void` | `collectExpressions(JRExpressionCollector collector)`
`byte` | `getBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getBorderColor()` Deprecated. Replaced by `getBox()`
`byte` | `getBottomBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getBottomBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getBottomPadding()` Deprecated. Replaced by `getBox()`
`JRBox` | `getBox()` Deprecated. Replaced by `getLineBox()`
`java.util.List` | `getChildren()` Gets a list of all direct children elements or elements groups.
`java.awt.Color` | `getDefaultLineColor()`
`JRElement` | `getElementByKey(java.lang.String elementKey)` Gets an element from this group, based on its element key.
`JRElement[]` | `getElements()` Gets an array containing all the elements and element groups in the hierarchy.
`byte` | `getLeftBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getLeftBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getLeftPadding()` Deprecated. Replaced by `getBox()`
`JRLineBox` | `getLineBox()`
`ModeEnum` | `getModeValue()` Returns the element transparency mode.
`java.lang.Byte` | `getOwnBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnBottomBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnBottomBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnBottomPadding()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnLeftBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnLeftBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnLeftPadding()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnPadding()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnRightBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnRightBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnRightPadding()` Deprecated. Replaced by `getBox()`
`java.lang.Byte` | `getOwnTopBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getOwnTopBorderColor()` Deprecated. Replaced by `getBox()`
`java.lang.Integer` | `getOwnTopPadding()` Deprecated. Replaced by `getBox()`
`int` | `getPadding()` Deprecated. Replaced by `getBox()`
`byte` | `getRightBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getRightBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getRightPadding()` Deprecated. Replaced by `getBox()`
`byte` | `getTopBorder()` Deprecated. Replaced by `getBox()`
`java.awt.Color` | `getTopBorderColor()` Deprecated. Replaced by `getBox()`
`int` | `getTopPadding()` Deprecated. Replaced by `getBox()`
`void` | `setBorder(byte border)` Deprecated. Replaced by `getBox()`
`void` | `setBorder(java.lang.Byte border)` Deprecated. Replaced by `getBox()`
`void` | `setBorderColor(java.awt.Color borderColor)` Deprecated. Replaced by `getBox()`
`void` | `setBottomBorder(byte bottomBorder)` Deprecated. Replaced by `getBox()`
`void` | `setBottomBorder(java.lang.Byte bottomBorder)` Deprecated. Replaced by `getBox()`
`void` | `setBottomBorderColor(java.awt.Color bottomBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setBottomPadding(int bottomPadding)` Deprecated. Replaced by `getBox()`
`void` | `setBottomPadding(java.lang.Integer bottomPadding)` Deprecated. Replaced by `getBox()`
`void` | `setLeftBorder(byte leftBorder)` Deprecated. Replaced by `getBox()`
`void` | `setLeftBorder(java.lang.Byte leftBorder)` Deprecated. Replaced by `getBox()`
`void` | `setLeftBorderColor(java.awt.Color leftBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setLeftPadding(int leftPadding)` Deprecated. Replaced by `getBox()`
`void` | `setLeftPadding(java.lang.Integer leftPadding)` Deprecated. Replaced by `getBox()`
`void` | `setPadding(int padding)` Deprecated. Replaced by `getBox()`
`void` | `setPadding(java.lang.Integer padding)` Deprecated. Replaced by `getBox()`
`void` | `setRightBorder(byte rightBorder)` Deprecated. Replaced by `getBox()`
`void` | `setRightBorder(java.lang.Byte rightBorder)` Deprecated. Replaced by `getBox()`
`void` | `setRightBorderColor(java.awt.Color rightBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setRightPadding(int rightPadding)` Deprecated. Replaced by `getBox()`
`void` | `setRightPadding(java.lang.Integer rightPadding)` Deprecated. Replaced by `getBox()`
`void` | `setTopBorder(byte topBorder)` Deprecated. Replaced by `getBox()`
`void` | `setTopBorder(java.lang.Byte topBorder)` Deprecated. Replaced by `getBox()`
`void` | `setTopBorderColor(java.awt.Color topBorderColor)` Deprecated. Replaced by `getBox()`
`void` | `setTopPadding(int topPadding)` Deprecated. Replaced by `getBox()`
`void` | `setTopPadding(java.lang.Integer topPadding)` Deprecated. Replaced by `getBox()`
`void` | `visit(JRVisitor visitor)`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElement
`clone, getBackcolor, getBaseStyle, getDefaultStyleProvider, getElementGroup, getEventSupport, getForecolor, getHeight, getKey, getMode, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getParentProperties, getPositionType, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertiesMap, getPropertyExpressions, getStretchType, getStretchTypeValue, getStyle, getStyleNameReference, getWidth, getX, getY, hasProperties, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setBackcolor, setForecolor, setMode, setMode, setMode, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setStretchType, setWidth, setX`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRElement
`getElementGroup, getKey, getPositionType, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchType, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setStretchType, setWidth, setX`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getHeight, getMode, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Methods inherited from interface net.sf.jasperreports.engine.JRElementGroup
`getElementGroup`

Methods inherited from interface net.sf.jasperreports.engine.JRChild
`clone`

Field Detail

### children

    protected java.util.List children

### lineBox

    protected JRLineBox lineBox

Constructor Detail

### JRBaseFrame

    public JRBaseFrame(JRFrame frame,
                       JRBaseObjectFactory factory)

Method Detail

### getElements

    public JRElement[] getElements()

  Description copied from interface: `JRElementGroup`
  Gets an array containing all the elements and element groups in the hierarchy.

  Specified by:
    `getElements` in interface `JRElementGroup`

### collectExpressions

    public void collectExpressions(JRExpressionCollector collector)

  Specified by:
    `collectExpressions` in interface `JRElement`

### visit

    public void visit(JRVisitor visitor)

  Specified by:
    `visit` in interface `JRVisitable`

### getChildren

    public java.util.List getChildren()

  Description copied from interface: `JRElementGroup`
  Gets a list of all direct children elements or elements groups.

  Specified by:
    `getChildren` in interface `JRElementGroup`

### getElementByKey

    public JRElement getElementByKey(java.lang.String elementKey)

  Description copied from interface: `JRElementGroup`
  Gets an element from this group, based on its element key.

  Specified by:
    `getElementByKey` in interface `JRElementGroup`

### getModeValue

    public ModeEnum getModeValue()

  Description copied from interface: `JRCommonElement`
  Returns the element transparency mode. The default value depends on the type of the report element. Graphic elements like rectangles and lines are opaque by default, but the images are transparent. Both static texts and text fields are transparent by default, and so are the subreport elements.

  Specified by:
    `getModeValue` in interface `JRCommonElement`
  Overrides:
    `getModeValue` in class `JRBaseElement`

### getBox

    public JRBox getBox()

  Deprecated. Replaced by `getLineBox()`

### getLineBox

    public JRLineBox getLineBox()

  Specified by:
    `getLineBox` in interface `JRBoxContainer`

### getBorder

    public byte getBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBorder` in interface `JRBox`

### getOwnBorder

    public java.lang.Byte getOwnBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBorder` in interface `JRBox`

### setBorder

    public void setBorder(byte border)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBorder` in interface `JRBox`

### setBorder

    public void setBorder(java.lang.Byte border)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBorder` in interface `JRBox`

### getBorderColor

    public java.awt.Color getBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBorderColor` in interface `JRBox`

### getOwnBorderColor

    public java.awt.Color getOwnBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBorderColor` in interface `JRBox`

### setBorderColor

    public void setBorderColor(java.awt.Color borderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBorderColor` in interface `JRBox`

### getPadding

    public int getPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getPadding` in interface `JRBox`

### getOwnPadding

    public java.lang.Integer getOwnPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnPadding` in interface `JRBox`

### setPadding

    public void setPadding(int padding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setPadding` in interface `JRBox`

### setPadding

    public void setPadding(java.lang.Integer padding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setPadding` in interface `JRBox`

### getTopBorder

    public byte getTopBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getTopBorder` in interface `JRBox`

### getOwnTopBorder

    public java.lang.Byte getOwnTopBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnTopBorder` in interface `JRBox`

### setTopBorder

    public void setTopBorder(byte topBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopBorder` in interface `JRBox`

### setTopBorder

    public void setTopBorder(java.lang.Byte topBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopBorder` in interface `JRBox`

### getTopBorderColor

    public java.awt.Color getTopBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getTopBorderColor` in interface `JRBox`

### getOwnTopBorderColor

    public java.awt.Color getOwnTopBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnTopBorderColor` in interface `JRBox`

### setTopBorderColor

    public void setTopBorderColor(java.awt.Color topBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopBorderColor` in interface `JRBox`

### getTopPadding

    public int getTopPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getTopPadding` in interface `JRBox`

### getOwnTopPadding

    public java.lang.Integer getOwnTopPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnTopPadding` in interface `JRBox`

### setTopPadding

    public void setTopPadding(int topPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopPadding` in interface `JRBox`

### setTopPadding

    public void setTopPadding(java.lang.Integer topPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setTopPadding` in interface `JRBox`

### getLeftBorder

    public byte getLeftBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getLeftBorder` in interface `JRBox`

### getOwnLeftBorder

    public java.lang.Byte getOwnLeftBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnLeftBorder` in interface `JRBox`

### setLeftBorder

    public void setLeftBorder(byte leftBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftBorder` in interface `JRBox`

### setLeftBorder

    public void setLeftBorder(java.lang.Byte leftBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftBorder` in interface `JRBox`

### getLeftBorderColor

    public java.awt.Color getLeftBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getLeftBorderColor` in interface `JRBox`

### getOwnLeftBorderColor

    public java.awt.Color getOwnLeftBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnLeftBorderColor` in interface `JRBox`

### setLeftBorderColor

    public void setLeftBorderColor(java.awt.Color leftBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftBorderColor` in interface `JRBox`

### getLeftPadding

    public int getLeftPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getLeftPadding` in interface `JRBox`

### getOwnLeftPadding

    public java.lang.Integer getOwnLeftPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnLeftPadding` in interface `JRBox`

### setLeftPadding

    public void setLeftPadding(int leftPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftPadding` in interface `JRBox`

### setLeftPadding

    public void setLeftPadding(java.lang.Integer leftPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setLeftPadding` in interface `JRBox`

### getBottomBorder

    public byte getBottomBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBottomBorder` in interface `JRBox`

### getOwnBottomBorder

    public java.lang.Byte getOwnBottomBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBottomBorder` in interface `JRBox`

### setBottomBorder

    public void setBottomBorder(byte bottomBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomBorder` in interface `JRBox`

### setBottomBorder

    public void setBottomBorder(java.lang.Byte bottomBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomBorder` in interface `JRBox`

### getBottomBorderColor

    public java.awt.Color getBottomBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBottomBorderColor` in interface `JRBox`

### getOwnBottomBorderColor

    public java.awt.Color getOwnBottomBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBottomBorderColor` in interface `JRBox`

### setBottomBorderColor

    public void setBottomBorderColor(java.awt.Color bottomBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomBorderColor` in interface `JRBox`

### getBottomPadding

    public int getBottomPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getBottomPadding` in interface `JRBox`

### getOwnBottomPadding

    public java.lang.Integer getOwnBottomPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnBottomPadding` in interface `JRBox`

### setBottomPadding

    public void setBottomPadding(int bottomPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomPadding` in interface `JRBox`

### setBottomPadding

    public void setBottomPadding(java.lang.Integer bottomPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setBottomPadding` in interface `JRBox`

### getRightBorder

    public byte getRightBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getRightBorder` in interface `JRBox`

### getOwnRightBorder

    public java.lang.Byte getOwnRightBorder()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnRightBorder` in interface `JRBox`

### setRightBorder

    public void setRightBorder(byte rightBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightBorder` in interface `JRBox`

### setRightBorder

    public void setRightBorder(java.lang.Byte rightBorder)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightBorder` in interface `JRBox`

### getRightBorderColor

    public java.awt.Color getRightBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getRightBorderColor` in interface `JRBox`

### getOwnRightBorderColor

    public java.awt.Color getOwnRightBorderColor()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnRightBorderColor` in interface `JRBox`

### setRightBorderColor

    public void setRightBorderColor(java.awt.Color rightBorderColor)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightBorderColor` in interface `JRBox`

### getRightPadding

    public int getRightPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getRightPadding` in interface `JRBox`

### getOwnRightPadding

    public java.lang.Integer getOwnRightPadding()

  Deprecated. Replaced by `getBox()`

  Specified by:
    `getOwnRightPadding` in interface `JRBox`

### setRightPadding

    public void setRightPadding(int rightPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightPadding` in interface `JRBox`

### setRightPadding

    public void setRightPadding(java.lang.Integer rightPadding)

  Deprecated. Replaced by `getBox()`

  Specified by:
    `setRightPadding` in interface `JRBox`

### getDefaultLineColor

    public java.awt.Color getDefaultLineColor()

  Specified by:
    `getDefaultLineColor` in interface `JRBoxContainer`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `JRBaseElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com